Results 1 to 10 of 10

Thread: At the end of my rope ...

  1. #1
    Member
    Join Date
    2008-07
    Posts
    5
    Login to Give a bone
    0

    Unhappy At the end of my rope ...

    Good afternoon ...

    I am having some trouble executing a script via ScriptPro. What I need is to be able to open a drawing, run a lisp, plot, and close the drawing ... Open Next repeat steps for about 50 drawings ... twice (B size and D size). When I run what I have it won't recognize the lisp. The lisp is part of acad.lsp and is loaded into every drawing.

    Lisp:
    Reorganizes the draw order for printing purposes.
    Code:
    ;Print Fix ***** pf1
    
    (defun c:pf1 ()
    (command "mspace")
    (if(ssget "x" '((0 . "insert")))
    (command "draworder" "p" "" "f")
    )
    (if(ssget "x" '((0 . "insert")(2 . "BaseMap")))
    (command "draworder" "p" "" "b")
    )
    (if(ssget "x" '((0 . "hatch")(8 . "OUTFALL*")))
    (command "draworder" "p" "" "b")
    )
    (if(ssget "x" '((0 . "hatch")(8 . "Unit_ID")))
    (command "draworder" "p" "" "f")
    )
    (if(ssget "x" '((0 . "insert")(8 . "Unit_ID")))
    (command "draworder" "p" "" "f" "pspace")
    )
    )
    Script:
    Code:
    pf1
    -plot
    y
    24x36 Submittal
    E-5000 PS US
    Tabloid
    Inches
    landscape
    n
    extents
    fit
    center
    n
    .
    y
    n
    n
    n
    n
    n
    y
    Side note ... Is there a way to print multiple copies?

    Thanks for any help ... I am at the end of my rope.
    Last edited by jb4pres; 2008-07-15 at 12:23 PM. Reason: Fixing Code ...

  2. #2
    Member
    Join Date
    2008-07
    Posts
    5
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    Apologies for this being my first post ...

  3. #3
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    Quote Originally Posted by Eric.Bay View Post
    Apologies for this being my first post ...
    I don't know anything about ScriptPro, but here's a thread that shows you how to run a script and lisp with a batch file. This example opens AutoCAD, runs it's programs and closes AutoCAD, maybe not what you want. Just something to consider.

  4. #4
    Active Member
    Join Date
    2008-06
    Location
    Australia
    Posts
    51
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    The cf1 is missing an ending )

    You may be able to create a pc3 printer setup for multiple copies though I haven't tried. I'm sure that in older versions there was a prompt in the -plot for number of copies.
    The other alternative is to reproduce the lines in the script for the extra copy.

  5. #5
    Member
    Join Date
    2008-07
    Posts
    5
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    Thanks Sashton ... I did miss that, but its still not working.

    Ted ... I will give that a try.

    Thanks!!

  6. #6
    Active Member
    Join Date
    2008-06
    Location
    Australia
    Posts
    51
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    If it is still not working, then the cf1 must not be loading.
    Have you checked there is not an error in acad.lsp ?

    I do exactly the same thing for batch plotting but use Simple Batch Processor.
    The lisp program I use has do (defun C: etc or closing quote.
    This means it executes as soon as loaded.
    I then use (load "preplot"), my pre plotting routine as the first line in the script.



    Steve

  7. #7
    Member
    Join Date
    2008-07
    Posts
    5
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    The lisp is now working like it should ... It was a trimmed version of one that I use for indiviual plots that has a plot command at the end ... I missed the end ).

    Works perfectly ... for the first drawing. Then nothing ... just sits there.
    Batch File:
    Code:
    FOR %%f in (C:\"Documents and Settings"\"eeb"\"Desktop"\"Final Drawings"\"bf1"\*.dwg) do start /wait C:\"Program Files"\"AutoCAD Civil 3D 2009"\acad.exe "%%f" /b "C:\Documents and Settings\eeb\Desktop\Final Drawings\bf1_11x17.scr"
    Script File:
    Code:
    bf1
    regen
    -plot
    y
    
    E-5000 PS US
    Tabloid
    
    landscape
    n
    extents
    fit
    center
    n
    .
    y
    n
    n
    n
    n
    n
    y
    I must be missing 1 little thing ...

    Also ... is there a way to make it open the drawings in the same acad window or one that is already open. A comment in the thread Ted linked suggests that it will open 50 windows for the 50 drawings that I am plotting.

  8. #8
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    Quote Originally Posted by Eric.Bay View Post
    The lisp is now working like it should ... It was a trimmed version of one that I use for indiviual plots that has a plot command at the end ... I missed the end ).

    Works perfectly ... for the first drawing. Then nothing ... just sits there.
    Batch File:
    Code:
    FOR %%f in (C:\"Documents and Settings"\"eeb"\"Desktop"\"Final Drawings"\"bf1"\*.dwg) do start /wait C:\"Program Files"\"AutoCAD Civil 3D 2009"\acad.exe "%%f" /b "C:\Documents and Settings\eeb\Desktop\Final Drawings\bf1_11x17.scr"
    Script File:
    Code:
    bf1
    regen
    -plot
    y
    
    E-5000 PS US
    Tabloid
    
    landscape
    n
    extents
    fit
    center
    n
    .
    y
    n
    n
    n
    n
    n
    y
    I must be missing 1 little thing ...

    Also ... is there a way to make it open the drawings in the same acad window or one that is already open. A comment in the thread Ted linked suggests that it will open 50 windows for the 50 drawings that I am plotting.
    You may need to add
    Code:
    quit
    y
    to the end of your script for it to continue.

    I don't know how you can keep AutoCAD open and run this on your drawings without closing each time, it's probably possible, I just don't know how.

    This is intended to start AutoCAD, open the drawing, run your script, and close AutoCAD, then repeat until done.
    So you will only have one drawing open at a time.

  9. #9
    Member
    Join Date
    2008-07
    Posts
    5
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    Ted ... You are a god amungst men. Thanks!!

  10. #10
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,507
    Login to Give a bone
    0

    Default Re: At the end of my rope ...

    Quote Originally Posted by Eric.Bay View Post
    Ted ... You are a god amungst men. Thanks!!
    stop that now....
    I need to go walk on water now..

    (glad I could help)

Similar Threads

  1. 2014: Has anyone one created a rope light?
    By Bluefairy in forum Revit Architecture - General
    Replies: 1
    Last Post: 2013-08-06, 03:29 PM
  2. Rope for Lines
    By paul.burgener in forum AutoCAD General
    Replies: 6
    Last Post: 2012-12-31, 02:55 PM
  3. Modeling Rope Climbing Wall??
    By lsmith37133330 in forum Revit Architecture - General
    Replies: 3
    Last Post: 2012-02-24, 04:57 PM
  4. Making Rope and driven constraints
    By stalljeffman in forum Inventor - General
    Replies: 2
    Last Post: 2006-10-11, 01:21 PM
  5. Rope Column
    By sbrown in forum Revit Architecture - Families
    Replies: 3
    Last Post: 2005-01-11, 07:33 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •